<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myCommunicationEventLabel" jhiTranslate="mpmApp.communicationEvent.home.createOrEditLabel">Create or edit a Communication Event</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!communicationEvent.idCommunicationEvent">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="communicationEvent.idCommunicationEvent" readonly />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEvent.note" for="field_note">Note</label>
            <input type="text" class="form-control" name="note" id="field_note"
                [(ngModel)]="communicationEvent.note"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.communicationEvent.purpose" for="field_purpose">Purpose</label>
            <select class="form-control" id="field_purpose" name="purpose" [(ngModel)]="communicationEvent.purposeId">
                <option [ngValue]="null"></option>
                <option [ngValue]="purposeTypeOption.idPurposeType" *ngFor="let purposeTypeOption of purposes; trackBy: trackPurposeTypeById">{{purposeTypeOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
